View Issue Details

IDProjectCategoryView StatusLast Update
0004960Talerauditorpublic2022-08-23 12:10
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PriorityhighSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.9Fixed in Version0.9 
Summary0004960: need tool to move historic revenues into aggregation tables and generate profit report
DescriptionOnce the auditor has verified that the profits are done correctly, we still need a way to archive the results properly, by reporting period, and to generate the ultimate report on profitability of the exchange.

The tool should also allow the exchange operator to take out profits/expenses so that the account balance continues to match after the operator made a withdrawal outside of normal Taler operations.
TagsNo tags attached.

Activities

Christian Grothoff

2020-01-16 22:34

manager   ~0015280

Marked in the code as part of the auditor's GC logic.

Christian Grothoff

2022-08-01 15:23

manager   ~0018980

Basically completely implemented now. test_34 in test_auditor.sh runs the logic, but does NOT yet test the output in the wire helper's JSON file.

So actual testing still needs to be done, the tests do not pass for unrelated reasons right now.

Christian Grothoff

2022-08-09 15:36

manager   ~0019001

Last edited: 2022-08-09 15:37

Tests passed now, but 0004960-specific work on the test still needs to be done!

Christian Grothoff

2022-08-23 12:10

manager   ~0019027

Test 33 passes!

Issue History

Date Modified Username Field Change
2017-03-17 18:56 Christian Grothoff New Issue
2017-03-17 18:56 Christian Grothoff Status new => assigned
2017-03-17 18:56 Christian Grothoff Assigned To => Christian Grothoff
2017-03-18 23:24 Christian Grothoff Assigned To Christian Grothoff =>
2017-03-18 23:24 Christian Grothoff Status assigned => confirmed
2017-03-18 23:24 Christian Grothoff Target Version => 0.7.1
2017-11-04 18:42 Christian Grothoff Assigned To => Christian Grothoff
2017-11-04 18:42 Christian Grothoff Status confirmed => assigned
2017-11-07 14:44 Christian Grothoff Status assigned => confirmed
2017-11-07 14:44 Christian Grothoff Target Version 0.7.1 =>
2017-11-07 14:44 Christian Grothoff Assigned To Christian Grothoff =>
2017-11-12 16:12 Christian Grothoff Assigned To => Christian Grothoff
2017-11-12 16:12 Christian Grothoff Status confirmed => assigned
2017-12-10 22:40 Christian Grothoff Priority normal => low
2018-01-15 15:51 Christian Grothoff Assigned To Christian Grothoff =>
2018-01-15 15:51 Christian Grothoff Status assigned => confirmed
2019-12-03 12:59 Christian Grothoff Assigned To => Christian Grothoff
2019-12-03 12:59 Christian Grothoff Status confirmed => assigned
2020-01-16 22:34 Christian Grothoff Note Added: 0015280
2021-04-19 19:09 Christian Grothoff Target Version => 0.9.1
2022-08-01 15:23 Christian Grothoff Note Added: 0018980
2022-08-09 15:36 Christian Grothoff Note Added: 0019001
2022-08-09 15:37 Christian Grothoff Note Edited: 0019001
2022-08-09 15:37 Christian Grothoff Priority low => high
2022-08-23 12:10 Christian Grothoff Status assigned => resolved
2022-08-23 12:10 Christian Grothoff Resolution open => fixed
2022-08-23 12:10 Christian Grothoff Fixed in Version => 0.9
2022-08-23 12:10 Christian Grothoff Note Added: 0019027
2022-08-23 12:10 Christian Grothoff Target Version 0.9.1 => 0.9